#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <vector>

#include "config.h"
#include "sound.h"
#include "soundbutton.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Soundboard; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = nullptr);
	~MainWindow();

public slots:
	void reloadConfig();

signals:
	void newStatusMessage(const QString&);

private:

	Ui::Soundboard *ui;
	std::vector<SoundButton*> soundbuttons;
	Config config;
};
#endif // MAINWINDOW_H
